Bug 1300965 - Search Bookmarks - public attribute not mandatory
Search Bookmarks - public attribute not mandatory
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 03:53 EST by Roman Plevka
Modified: 2017-01-13 16:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-13 16:09:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Plevka 2016-01-22 03:53:50 EST
Description of problem:
While creating a Search Bookmark using API, server does not require a 'public' attribute to be set, resulting new Bookmark entity with 'public': Null
- both foreman and katello entities are affected

Version-Release number of selected component (if applicable):

# rpm -q katello
katello-2.5.0-2.nightly.el7.noarch

# rpm -qa *katello
katello-2.5.0-2.nightly.el7.noarch
tfm-rubygem-hammer_cli_katello-0.0.19-1.el7.noarch
tfm-rubygem-katello-2.5.0-.201512150057git5d138841.nightly.el7.noarch
pulp-katello-0.4-3.el7.noarch



How reproducible:
always

Steps to Reproduce:
1. use POST request to create a bookmark for a random controller:

# curl -ku admin:changeme -H Content-Type:application/json -d "{\"name\": \"foo\", \"query\":\"bar\", \"controller\":\"architectures\"}" 'https://<FQDN>/api/bookmarks'

Actual results:
"public": null

{"name":"foo", "controller":"architectures","query":"bar","public":null,"id":1364,"owner_id":3,"owner_type":"User"}

Expected results:
"errors":{"public":["can't be blank"]}
or a default value true/false

Additional info:
Comment 1 Bryan Kearney 2016-07-26 15:06:22 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 2 Bryan Kearney 2017-01-13 16:09:57 EST
This is an older bug which I do not envision being addressed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.

Note You need to log in before you can comment on or make changes to this bug.